const state = {
    user: {
        token: '',
        firstName: '',
        lastName: '',
        email: '',
        avatar: 'https://cdn.quasar.dev/img/boy-avatar.png',
        fullname: '',
        id: '',
        isAdmin: false,
        isAuth: false
    }
}

const mutations = {
    updateUser(state, user) {
        Object.assign(state.user, user)
    }
}

const actions = {
    updateUser({ commit }, payload) {
        commit('updateUser',payload)
    }
}

const getters = {
    user: (state) => {
        return state.user
    }
}

export default {
    namespaced: true,
    state,
    mutations,
    actions,
    getters
}