
const routes = [
  {
    path: '/',
    component: () => import('layouts/MainLayout.vue'),
    children: [
      { path: '', component: () => import('pages/Index.vue') },
      { path: 'home', component: () => import('pages/azrulpage.vue') },
      { path: 'contact-us', component: () => import('pages/contactus.vue') },
      { path: 'my-account', component: () => import('pages/myaccount.vue') },
      { path: 'fines', component: () => import('pages/fine.vue') },
      { path: 'borrowing-history', component: () => import('pages/borrow.vue') },
      { path: 'feedback', component: () => import('pages/feedbackform.vue') }

    ]
  },

  // Always leave this as last one,
  // but you can also remove it
  {
    path: '*',
    component: () => import('pages/Error404.vue')
  }
]

export default routes
